Subject: bug#18632: 24.3.94; image-dired fail when `image-dired-dir' doesn't exist

From: Stefan Kangas <[email-masked]>
Date: Thu, 15 Sep 2022 17:39:33 -0700

close 18632 29.1
thanks

Stefan Kangas <[email-masked]> writes:

> Thierry Volpiatto <[email-masked]> writes:
>
>>> If `image-dired-dir' doesn't exists, image-dired fail with
>>> something like "could not resize image" with no indications on what is happening.
>>> IOW image-dired should create its directory when this one doesn't
>>> exists, or at least send a helpful message to notify user he have first
>>> to create manually this directory.
>>
>> diff --git a/lisp/image-dired.el b/lisp/image-dired.el
>> index 114deab..01f88c2 100644
>> --- a/lisp/image-dired.el
>> +++ b/lisp/image-dired.el
>> @@ -1800,7 +1800,8 @@ should feel snappy enough.
>>
>>  If optional argument ORIGINAL-SIZE is non-nil, display image in its
>>  original size."
>> -  (let ((new-file (expand-file-name image-dired-temp-image-file))
>> +  (let ((new-file (expand-file-name image-dired-temp-image-file
>> +                                    (image-dired-dir)))
>>          width height command ret
>>          (image-type 'jpeg))
>>      (setq file (expand-file-name file))
>
> I can reproduce this on current master.  The problem happens when the
> user removes the image-dired-dir directory (normally
> ~/.emacs.d/image-dired).

I can no longer reproduce this on current master.  I think this was
fixed when we rewrote `image-dired-display-image-mode' to be based on
`image-mode' instead of using external programs to convert the picture.

If you are still seeing this issue, please reply to this email (use
"Reply to all" in your email client) and we can reopen the bug report.